

import '../incomingPacket.dart';

class ServerInfoPacket extends IncomingPacket {
  ServerInfoPacket() : super('serverInfo');

  String _serverName = "Unbekannt";
  String _serverOwner = "Unbekannt";
  String _serverVersion = "?";
  String _legal = "Keine";

  String get serverName => _serverName;
  String get serverOwner => _serverOwner;
  String get serverVersion => _serverVersion;
  String get legal => _legal;

  @override
  void handle(data) {
    _serverName = data['name'];
    _serverOwner = data['owner'];
    _serverVersion = data['version'];
    _legal = data['legal'];
  }
}